package tech.mercantec.easyeat.models

import kotlinx.serialization.Serializable

@Serializable
data class CreateRecipe(
    val name: String,
    val description: String,
    val directions: List<CreateDirection>,
    val ingredients: List<CreateIngredient>
)

@Serializable
data class CreateDirection(
    val instructions: String
)


@Serializable
data class CreateIngredient(
    val amount: Double?,
    val unit: String?,
    val name: String
)